You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     a...@freebsd.org
Last committer: zeis...@freebsd.org
Ident:          $FreeBSD: head/games/ufoai/Makefile 351411 2014-04-16 18:28:47Z 
zeising $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2014-05-02_00h57m49s/logs/ufoai-2.4_3.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2014-05-02_00h57m49s
Log:

====>> Building games/ufoai
build started at Fri May  2 10:26:35 UTC 2014
port directory: /usr/ports/games/ufoai
building for: FreeBSD head-i386-default-job-15 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 i386
maintained by: a...@freebsd.org
Makefile ident:      $FreeBSD: head/games/ufoai/Makefile 351411 2014-04-16 
18:28:47Z zeising $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=80206
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=ufoai-2.4_3
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-i386-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-i386-default/ref/poudriere/pool
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for ufoai-2.4_3:
     SERVER=on: Install dedicated server
     UFO2MAP=on: Install UFO tools
     UFORADIANT=off: Install UFO map editor
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--enable-release --enable-ufoded --enable-ufo2map --disable-uforadiant
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake PKG_CONFIG=pkgconf TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh SDL_CONFIG=/usr/local/bin/sdl-config
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
SDL_CONFIG=/usr/local/bin/sdl-config PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -I/usr/local/include 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-I/usr/local/include "  LDFLAGS=" 
-L/usr/local/lib -pthread -lexecinfo"  CXX="c++" CXXFLAGS="-O2 -pipe 
-I/usr/local/include -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
UFOSERVER=""
UFO2MAP=""
UFORADIANT="@comment
"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/ufoai"
EXAMPLESDIR="share/examples/ufoai"
DATADIR="share/ufoai"
WWWDIR="www/ufoai"
ETCDIR="etc/ufoai"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=share/ufoai
DOCSDIR=/usr/local/share/doc/ufoai
EXAMPLESDIR=/usr/local/share/examples/ufoai
WWWDIR=/usr/local/www/ufoai
ETCDIR=/usr/local/etc/ufoai
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for ufoai-2.4_3
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   ufoai-2.4_3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of ufoai-2.4_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by ufoai-2.4_3 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by ufoai-2.4_3 for building
=> SHA256 Checksum OK for ufoai/ufoai-2.4-source.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by ufoai-2.4_3 for building
===>  Extracting for ufoai-2.4_3
=> SHA256 Checksum OK for ufoai/ufoai-2.4-source.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for ufoai-2.4_3
/usr/bin/sed -i.bak -e 's|jpeg_mem_src|local_jpeg_mem_src|'  -e 
's|png_set_gray_1_2_4_to_8|png_set_expand_gray_1_2_4_to_8|'  -e 
's|png_check_sig(PngFileBuffer.buffer, 8)|!png_sig_cmp(PngFileBuffer.buffer, 0, 
8)|'  
/wrkdirs/usr/ports/games/ufoai/work/ufoai-2.4-source/src/client/renderer/r_image.c
===========================================================================
=======================<phase: build-depends  >============================
===>   ufoai-2.4_3 depends on file: /usr/local/include/mxml.h - not found
===>    Verifying install for /usr/local/include/mxml.h in 
/usr/ports/textproc/mxml
===>   Installing existing package /packages/All/mxml-2.7_1.txz
Installing mxml-2.7_1... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.5.txz
Installing pkgconf-0.9.5... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/glproto.pc in 
/usr/ports/x11/glproto
===>   Installing existing package /packages/All/glproto-1.4.17.txz
Installing glproto-1.4.17... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/dri2proto.pc in 
/usr/ports/x11/dri2proto
===>   Installing existing package /packages/All/dri2proto-2.8.txz
Installing dri2proto-2.8... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on file: /usr/local/bin/sdl-config - not found
===>    Verifying install for /usr/local/bin/sdl-config in 
/usr/ports/devel/sdl12
===>   Installing existing package /packages/All/sdl-1.2.15_3,2.txz
Installing sdl-1.2.15_3,2...Installing aalib-1.4.r5_10... done
Installing libGLU-9.0.0...Installing libGL-9.1.7...Installing expat-2.1.0... 
done
Installing libX11-1.6.2_2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8_2...Installing xproto-7.0.25... done
 done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.8.0_5... done
 done
 done
Installing libXdamage-1.1.4_2...Installing damageproto-1.2.1... done
Installing libXfixes-5.0.1_2...Installing fixesproto-5.0... done
 done
 done
Installing libXext-1.3.2_2,1...Installing xextproto-7.3.0... done
 done
Installing libXxf86vm-1.1.3_2...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.52...Installing libpciaccess-0.13.2_2...Installing 
pciids-20140402... done
 done
 done
 done
 done
Installing libXrandr-1.4.2_2...Installing libXrender-0.9.8_2...Installing 
renderproto-0.11.1... done
 done
Installing randrproto-1.4.0... done
 done
 done
------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   Returning to build of ufoai-2.4_3
===========================================================================
=======================<phase: lib-depends    >============================
===>   ufoai-2.4_3 depends on shared library: libintl.so - found
===>   ufoai-2.4_3 depends on shared library: libopenal.so.1 - not found
===>    Verifying for libopenal.so.1 in /usr/ports/audio/openal-soft
===>   Installing existing package /packages/All/openal-soft-1.15.1_2.txz
Installing openal-soft-1.15.1_2... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: libGLU.so - found
===>   ufoai-2.4_3 depends on shared library: vorbis - not found
===>    Verifying install for vorbis in /usr/ports/audio/libvorbis
===>   Installing existing package /packages/All/libvorbis-1.3.4,3.txz
Installing libvorbis-1.3.4,3...Installing libogg-1.3.1,4... done
 done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: jpeg.11 - not found
===>    Verifying install for jpeg.11 in /usr/ports/graphics/jpeg
===>   Installing existing package /packages/All/jpeg-8_4.txz
Installing jpeg-8_4... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: png15 - not found
===>    Verifying install for png15 in /usr/ports/graphics/png
===>   Installing existing package /packages/All/png-1.5.18.txz
Installing png-1.5.18... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: curl - not found
===>    Verifying install for curl in /usr/ports/ftp/curl
===>   Installing existing package /packages/All/curl-7.36.0.txz
Installing curl-7.36.0...Installing ca_root_nss-3.16... done
 done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: execinfo - found
===>   ufoai-2.4_3 depends on shared library: theora.0 - not found
===>    Verifying install for theora.0 in /usr/ports/multimedia/libtheora
===>   Installing existing package /packages/All/libtheora-1.1.1_5.txz
Installing libtheora-1.1.1_5... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: xvidcore.4 - not found
===>    Verifying install for xvidcore.4 in /usr/ports/multimedia/xvid
===>   Installing existing package /packages/All/xvid-1.3.2,1.txz
Installing xvid-1.3.2,1... done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: mxml - found
===>   ufoai-2.4_3 depends on shared library: SDL-1.2 - found
===>   ufoai-2.4_3 depends on shared library: SDL_image-1.2 - not found
===>    Verifying install for SDL_image-1.2 in /usr/ports/graphics/sdl_image
===>   Installing existing package /packages/All/sdl_image-1.2.12_3.txz
Installing sdl_image-1.2.12_3...Installing tiff-4.0.3_1...Installing 
freeglut-2.8.1_2...Installing libICE-1.0.8_2,1... done
Installing libXi-1.7.2_2,1...Installing inputproto-2.3... done
 done
 done
Installing jbigkit-1.6... done
Installing libSM-1.2.2_2,1... done
Installing libXmu-1.1.2_2,1...Installing libXt-1.1.4_2,1... done
 done
 done
Installing webp-0.3.1_5...Installing giflib-nox11-4.2.3_2... done
 done
 done
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: SDL_mixer-1.2 - not found
===>    Verifying install for SDL_mixer-1.2 in /usr/ports/audio/sdl_mixer
===>   Installing existing package /packages/All/sdl_mixer-1.2.12_6.txz
Installing sdl_mixer-1.2.12_6...Installing flac-1.3.0_1... done
Installing libmikmod-3.3.6_1... done
Installing smpeg-0.4.4_11... done
Installing timidity-0.2i_1... done
 done
===>   Returning to build of ufoai-2.4_3
===>   ufoai-2.4_3 depends on shared library: SDL_ttf-2.0 - not found
===>    Verifying install for SDL_ttf-2.0 in /usr/ports/graphics/sdl_ttf
===>   Installing existing package /packages/All/sdl_ttf-2.0.11_2.txz
Installing sdl_ttf-2.0.11_2...Installing freetype2-2.5.3_2... done
 done
===>   Returning to build of ufoai-2.4_3
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for ufoai-2.4_3
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/games/ufoai/work/ufoai-2.4-source/configure
Found xvid.h
Found theora/theora.h
Found execinfo.h
Found sys/utsname.h
Found link.h
Could not find CUnit/Basic.h
Found mxml.h
Compile for freebsd
Compile for i386
Compile in release mode
Found cc cc
Found cxx c++
Using bindir /usr/local/bin
Using datadir /usr/local/games/ufoai
Using libdir /usr/local/lib
Using prefix /usr/local
Build modules:
Build cgame-campaign
Build cgame-multiplayer
Build cgame-skirmish
Build cgame-staticcampaign
Build game
Build memory
Disable testall
Build ufo
Build ufo2map
Build ufoded
Build ufomodel
Disable uforadiant
Build ufoslicer
Enable hard linked cgame
Use signal handler
Setting custom data directory
Setting custom library directory
===========================================================================
=======================<phase: build          >============================
===>  Building for ufoai-2.4_3
cd: 
/wrkdirs/usr/ports/games/ufoai/work/ufoai-2.4-source/contrib/installer/mojosetup/scripts:
 No such file or directory
ls: *.lua: No such file or directory
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/games/ufoai/work/ufoai-2.4-source'
===> CC [game] src/game/g_actor.c
cc: error: unknown argument: '-falign-loops=2'
cc: error: unknown argument: '-falign-jumps=2'
gmake[1]: *** [release-freebsd-i386/game/game/g_actor.c.o] Error 1
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/games/ufoai/work/ufoai-2.4-source'
*** Error code 1

Stop.
make: stopped in /usr/ports/games/ufoai
===>  Cleaning for ufoai-2.4_3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to